using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsMonitoringPointHistoryDaily {
        //일별 관제점 데이터
        [Display(Name = "현장 고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "설비종류"), Key]
        public int FacilityTypeId { get; set; }
        [Display(Name = "설비코드"), Key]
        public int FacilityCode { get; set; }
        [Display(Name = "설비속성고유번호"), Key]
        public int PropertyId { get; set; }
        [Display(Name = "데이터 생성시간"), Key]
        public DateTime CreatedDateTime { get; set; }
        [Display(Name = "값 (일)"), Required]
        public double DailyValue { get; set; }
        [Display(Name = "일간 최대값")]
        public double? MaxValue { get; set; }
        [Display(Name = "일간 최소값")]
        public double? MinValue { get; set; }

        [ForeignKey("SiteId,FacilityCode")]
        public virtual CmFacility CmFacility { get; set; }

        [ForeignKey("SiteId,FacilityCode,PropertyId")]
        public virtual BemsMonitoringPoint BemsMonitoringPoint { get; set; }
        [ForeignKey("FacilityTypeId")]
        public virtual BemsFacilityType FacilityType { get; set; }
    }
}
